Documentation · API reference
GET/api/v1/sites/{site}/annotations

A site's notes on the chart

A site's notes on the chart.

Parameters

sitein the address
neededA site's id or name

The answer

Status 200

A list of AnnotationView

created_at
stringneeded
day
stringneeded`2026-10-08`, in the site's time zone.
id
stringneeded
note
stringneeded

Asking

With your token from Settings
curl https://tidekeeper.eu/api/v1/sites/example.org/annotations \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/annotations", {
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());